Name:           fdragon-mock-configs
Version:        2019.05.13
Release:        1%{?dist}
Summary:        fdragon mock configs

License:        GPLv3+
URL:            http://fdragon.org
Source0:        fdl-epel-5-i386.cfg
Source1:        fdl-epel-5-x86_64.cfg
Source2:        fdl-epel-6-i386.cfg
Source3:        fdl-epel-6-x86_64.cfg
Source4:        fdl-epel-7-x86_64.cfg
Source5:        fdl-fedora-28-i386.cfg
Source6:        fdl-fedora-28-x86_64.cfg
Source7:        fdl-fedora-29-i386.cfg
Source8:        fdl-fedora-29-x86_64.cfg
Source9:        fdl-fedora-30-i386.cfg
Source10:       fdl-fedora-30-x86_64.cfg
Source11:       fdl-trixbox-2.6-i386.cfg
Source12:       fdl-trixbox-2.8-i386.cfg

# BuildRequires:  
Requires:       httpd
Requires:       mock
Requires:       mock-scm
Requires:       rpmdevtools
%if 0%{?fedora}
Requires:       fedora-packager
%endif
%if 0%{?rhel}
Requires:       fedora-packager
%endif


%description


%prep


%build


%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE0} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE1} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE2} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE3} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE4} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE5} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE6} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE7} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE8} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE9} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE10} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE11} %{buildroot}%{_sysconfdir}/mock/
%{__install} %{SOURCE12} %{buildroot}%{_sysconfdir}/mock/
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/5/i386/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/5/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/6/i386/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/6/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/epel/7/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/28/i386/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/28/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/29/i386/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/29/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/30/i386/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/fedora/30/x86_64/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/trixbox/2.6/i386/repodata
%{__mkdir_p} %{buildroot}/var/www/html/packages/trixbox/2.8/i386/repodata


%post
createrepo -d -q -x *.src.rpm /var/www/html/packages/epel/5/i386/
createrepo -d -q -x *.src.rpm /var/www/html/packages/epel/5/x86_64/
createrepo -d -q -x *.src.rpm /var/www/html/packages/epel/6/i386/
createrepo -d -q -x *.src.rpm /var/www/html/packages/epel/6/x86_64/
createrepo -d -q -x *.src.rpm /var/www/html/packages/epel/7/x86_64/
createrepo -d -q -x *.src.rpm /var/www/html/packages/fedora/28/i386/
createrepo -d -q -x *.src.rpm /var/www/html/packages/fedora/28/x86_64/
createrepo -d -q -x *.src.rpm /var/www/html/packages/fedora/29/i386/
createrepo -d -q -x *.src.rpm /var/www/html/packages/fedora/29/x86_64/
createrepo -d -q -x *.src.rpm /var/www/html/packages/fedora/30/i386/
createrepo -d -q -x *.src.rpm /var/www/html/packages/fedora/30/x86_64/
createrepo -d -q -x *.src.rpm /var/www/html/packages/trixbox/2.6/i386/
createrepo -d -q -x *.src.rpm /var/www/html/packages/trixbox/2.8/i386/


%files
# %license add-license-file-here
# %doc add-docs-here
%defattr(-,root,root,-)
%config %attr(0644,root,root) %{_sysconfdir}/mock/*.cfg

%dir %attr(2775,root,mock) /var/www/html/packages
%dir %attr(2775,root,mock) /var/www/html/packages/epel
%dir %attr(2775,root,mock) /var/www/html/packages/epel/5
%dir %attr(2775,root,mock) /var/www/html/packages/epel/5/i386
%dir %attr(2775,root,mock) /var/www/html/packages/epel/5/i386/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/epel/5/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/epel/5/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6/i386
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6/i386/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/epel/6/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/epel/7
%dir %attr(2775,root,mock) /var/www/html/packages/epel/7/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/epel/7/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/28
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/28/i386
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/28/i386/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/28/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/28/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/29
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/29/i386
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/29/i386/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/29/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/29/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30/i386
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30/i386/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30/x86_64
%dir %attr(2775,root,mock) /var/www/html/packages/fedora/30/x86_64/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/trixbox
%dir %attr(2775,root,mock) /var/www/html/packages/trixbox/2.6
%dir %attr(2775,root,mock) /var/www/html/packages/trixbox/2.6/i386
%dir %attr(2775,root,mock) /var/www/html/packages/trixbox/2.6/i386/repodata
%dir %attr(2775,root,mock) /var/www/html/packages/trixbox/2.8
%dir %attr(2775,root,mock) /var/www/html/packages/trixbox/2.8/i386
%dir %attr(2775,root,mock) /var/www/html/packages/trixbox/2.8/i386/repodata


%changelog
* Tue May 14 2019 Jason Rothstein <fdragon@fdragon.org>
- New version for Fedora 30

